package com.brilliance.isc.mda.dao;

import com.brilliance.isc.esb.newmodel.cecm.Cecmame;
import com.brilliance.isc.esb.newmodel.cecm.Cecmfep;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface CecmfepMapper {

    int insert(Cecmfep record);

    int insertSelective(Cecmfep record);

    int updateByPrimaryKeySelective(Cecmfep record);

    int updateByPrimaryKey(Cecmfep record);

    int deleteByPrimaryKey(Cecmfep record);

    int deleteByIds(Collection<Object> collection);

    Cecmfep selectByPrimaryKey(Cecmfep record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Cecmfep> dyncRead(Map<String, Object> dyncMap);

    Cecmfep selectByTrninr(String trninr);

    int deleteByTrninr(String trninr);
}